Bug 116786 - Samba-3.0.2-6.3E errata (RHSA-2004:064) drops DFS support
Summary: Samba-3.0.2-6.3E errata (RHSA-2004:064) drops DFS support
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-25 06:05 UTC by Martin C. Messer
Modified: 2014-08-31 23:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 07:23:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin C. Messer 2004-02-25 06:05:06 UTC
Description of problem:

Customer reports, and I've confirmed, that the latest Samba errata
(3.0.2-6.3E) is no longer built with DFS support (--withdfs).
Confirmed by looking at the spec file.

Version-Release number of selected component (if applicable):

3.0.2-6.3E

How reproducible:

Customer can upgrade to 3.0.2-6.3E using the same config file as the
previous version, and DFS ceases to function. Reverting to previous
release brings back DFS functionality.

As this errata was security related, please treat as urgent.

Comment 1 Martin C. Messer 2004-02-27 01:44:12 UTC
Any comments?

Comment 2 Jay Fenlason 2004-02-27 14:40:35 UTC
I don't see --withdfs in the 3.0.0-14.3E spec file either.  What
version were they running before they upgraded?

Also, can you get a copy of their config file?

Comment 3 Martin C. Messer 2004-03-01 23:27:00 UTC
Customer was previously using 3.0.0-14.3E, and attached are the
smb.conf and pertinent log info.

Comment 9 Martin C. Messer 2004-04-19 07:23:39 UTC
Customer did not respond, so I can only assume they compiled a custom
version in the previous release. Closing.

Comment 10 Seth Vidal 2004-07-06 20:29:24 UTC
any reason to not have DFS enabled?

It's been enabled in the later rhl9 releases and I think Fedora Core 1.



Comment 11 Seth Vidal 2004-07-06 20:44:56 UTC
ignore this.
samba 3.0 and above enabled msdfs by default.




Note You need to log in before you can comment on or make changes to this bug.